#775 PCManFM 99% CPU when ejecting SD mounted using udisks

1.2
pending
None
7
2015-06-13
2013-08-27
Camden Lindsay
No

– version of pcmanfm you are using (you can see it in "About" dialog)
PCManFM 1.1.2

– version of your operating system
[dylan@zenbook ~]$ uname -a
Linux zenbook 3.10.7-1-ARCH #1 SMP PREEMPT Thu Aug 15 11:55:34 CEST 2013 x86_64 GNU/Linux

[dylan@zenbook ~]$ cat /etc/lsb-release
LSB_VERSION=1.4
DISTRIB_ID=arch
DISTRIB_RELEASE=rolling
DISTRIB_DESCRIPTION="Arch Linux"

[dylan@zenbook ~]$ fluxbox --version
Fluxbox 1.3.5 : (c) 2001-2011 Fluxbox Team

[dylan@zenbook ~]$ sudo pacman -S udisks
warning: udisks-1.0.4-8 is up to date -- reinstalling

– steps how we can reproduce your problem
Udisks automounts SD card
Use 'eject' button in PCManFM to eject device
CPU hangs at 99%
11079 dylan 20 0 445664 15808 10664 R 99.8 0.4 0:09.32 pcmanfm

Manually umounting device does not cause this, only using eject button

Bug report FS#36686 with Arch
https://bugs.archlinux.org/task/36686

Discussion

1 2 > >> (Page 1 of 2)
  • I would like to get more info on the issue:
    a) what version of libfm do you use?
    b) is libfm compiled with internal udisks support?
    c) do you have any gvfs libs installed?
    Thank you very much.

     
    • priority: 5 --> 7
    • milestone: --> 3172103
    • labels: --> 805537
     
  • While you don't answer, I would like to notice there was a bug which caused memory corruption, that bug leaded to crash, and that bug is fixed in libfm-1.1.2.2. May be it leaded to your issue instead of crash in your case.

     
  • Camden Lindsay
    Camden Lindsay
    2013-09-09

    Sorry that I didn't reply the first time, i somehow missed the email alert for the first response.
    I will check versions/etc later today.
    Thanks!

     
  • Camden Lindsay
    Camden Lindsay
    2013-09-10

    i installed gvfs using pacman. Restarted and the problem still exists.

    Any pointers as to how to find the information you need is appreciated.!
    Thanks!

     
  • Thank you for your testing. Since issue still happens with gvfs - it is not udisks problem. I suggested you already to upgrade libfm to 1.1.2.2 version, the most probably your problem will be gone.

     
  • Camden Lindsay
    Camden Lindsay
    2013-09-11

    Problem still appears to persist:
    [dylan@zenbook ~]$ pacman -Q libfm
    libfm 1.1.2.2-1

    [dylan@zenbook ~]$ mount | grep sdc
    /dev/sdc1 on /media/8244-5239 type vfat (rw,nosuid,nodev,relatime,uid=1000,gid=1000,fmask=0022,dmask=0077,codepage=437,iocharset=iso8859-1,shortname=mixed,showexec,utf8,errors=remount-ro,uhelper=udisks)

    click 'eject'
    PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
    2072 dylan 20 0 461172 14116 10512 R 100.1 0.4 0:24.27 pcmanfm

    I'm open to other troubleshooting suggestions...

     
  • Thank you very much for your efforts. I would like to get more help from you. That can be done with GDB running in terminal when that CPU eating happens:
    gdb pcmanfm `pidof pcmanfm`
    you'll get into running application from gdb so you can type a gdb command:
    bt full
    and let me see that stack trace.

     
  • Camden Lindsay
    Camden Lindsay
    2013-09-11

    Something i should have mentioned before, I am using the desktop mode for pcmanfm
    dylan 1647 0.0 0.2 386612 11356 ? S 08:53 0:00 pcmanfm --desktop

    Here is stack trace
    warning: no loadable sections found in added symbol-file system-supplied DSO at 0x7fffad5fe000
    0x00007fd8d496ef5d in poll () from /usr/lib/libc.so.6
    (gdb) bt full
    #0 0x00007fd8d496ef5d in poll () from /usr/lib/libc.so.6
    No symbol table info available.
    #1 0x00007fd8d51a6084 in ?? () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #2 0x00007fd8d51a64ea in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #3 0x00007fd8d6efd6a2 in ?? () from /usr/lib/libfm-gtk.so.3
    No symbol table info available.
    #4 0x00007fd8d6eee0c6 in ?? () from /usr/lib/libfm-gtk.so.3
    No symbol table info available.
    #5 0x00007fd8d69bb345 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #6 0x00007fd8d546c458 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    #7 0x00007fd8d547d1cb in ?? () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    #8 0x00007fd8d5484e52 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    #9 0x00007fd8d5485462 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    #10 0x00007fd8d6acaa14 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #11 0x00007fd8d69b9af4 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #12 0x00007fd8d69b9eab in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #13 0x00007fd8d6635b1c in ?? () from /usr/lib/libgdk-x11-2.0.so.0
    No symbol table info available.
    #14 0x00007fd8d51a5d96 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #15 0x00007fd8d51a60e8 in ?? () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #16 0x00007fd8d51a64ea in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #17 0x00007fd8d69b8f97 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #18 0x000000000040d600 in ?? ()
    No symbol table info available.
    #19 0x00007fd8d48b4bc5 in __libc_start_main () from /usr/lib/libc.so.6
    No symbol table info available.
    #20 0x000000000040d66d in ?? ()
    No symbol table info available.
    (gdb)

    Thanks for working on this! :)

     
  • It is indeed expected, almost everyone uses pcmanfm as desktop manager. :)
    Unfortunately the stack trace without debug symbols is almost useless. From Arch people I got the advice - you should rebuild appropriate packages with option 'debug' added into options=... in PKGBUILD file, you would need that for packages glib2, gtk2, and libfm. After that the stacktrace will contain info required for investigation of your issue.
    Thank you.

     
  • Camden Lindsay
    Camden Lindsay
    2013-11-23

    Sorry this took so long;
    (gdb) bt full
    #0 0x00007fa6599e8d7b in recv () from /usr/lib/libpthread.so.0
    No symbol table info available.
    #1 0x00007fa65941c06f in ?? () from /usr/lib/libxcb.so.1
    No symbol table info available.
    #2 0x00007fa65941c568 in ?? () from /usr/lib/libxcb.so.1
    No symbol table info available.
    #3 0x00007fa65bf0d828 in ?? () from /usr/lib/libX11.so.6
    No symbol table info available.
    #4 0x00007fa65bf0d96e in ?? () from /usr/lib/libX11.so.6
    No symbol table info available.
    No symbol table info available.
    #8 0x00007fa659f42c2d in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #9 0x00007fa659f434a3 in g_main_context_iterate.isra.24 () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #10 0x00007fa659f439ea in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #11 0x00007fa65bcb4b92 in fm_do_mount (parent=parent@entry=0x15c05f0, obj=obj@entry=0x1528d20, action=action@entry=UMOUNT_MOUNT,
    interactive=interactive@entry=1) at gtk/fm-gtk-utils.c:630
    ret = <optimized out>
    data = 0x16fbbf0
    op = 0x16def80
    cancellable = 0x15f6790
    #12 0x00007fa65bcb54ac in fm_unmount_mount (parent=parent@entry=0x15c05f0, mount=mount@entry=0x1528d20, interactive=interactive@entry=1)
    at gtk/fm-gtk-utils.c:729
    No locals.
    #13 0x00007fa65bca54b6 in on_button_release (widget=<optimized out>, evt=<optimized out>) at gtk/fm-places-view.c:658
    toplevel = 0x15c05f0
    mount = 0x1528d20
    volume = <optimized out>
    item = 0x1591680
    it = {stamp = 1411459857, user_data = 0x16c5560, user_data2 = 0x0, user_data3 = 0x0}
    start = 122
    cell_w = 26
    ---Type <return> to continue, or q <return> to quit---
    tp = 0x16fc020
    col = 0x169ba40
    cell_x = 137
    view = <optimized out>
    ret = 0
    #14 0x00007fa65b765d85 in _gtk_marshal_BOOLEAN__BOXED () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #15 0x00007fa65a20b6a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    #16 0x00007fa65a21cdfb in signal_emit_unlocked_R () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    #17 0x00007fa65a224a19 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    #18 0x00007fa65a225002 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    #19 0x00007fa65b875ab4 in gtk_widget_event_internal () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #20 0x00007fa65b764534 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #21 0x00007fa65b7648eb in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #22 0x00007fa65b3dfc3c in gdk_event_dispatch () from /usr/lib/libgdk-x11-2.0.so.0
    No symbol table info available.
    #23 0x00007fa659f43296 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #24 0x00007fa659f435e8 in g_main_context_iterate.isra.24 () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #25 0x00007fa659f439ea in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #26 0x00007fa65b7639d7 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #27 0x000000000040d660 in main (argc=1, argv=0x7fff64ebf398) at pcmanfm.c:236
    config = 0x14d8010
    err = 0x0
    inst = {prog_name = 0x419fd6 "pcmanfm", cb = 0x40dc60 <single_inst_cb>, opt_entries = 0x622390 <opt_entries+144>, screen_num = 0,
    io_channel = 0x14d7220, sock = 6, io_watch = 2}

     
  • Thank you very much for the response. One of GTK functions used on eject unfortunately found to be buggy. A workaround on similar issue is added into the libfm Git. I'm afraid there will be no further updates for 1.1.x series so I would suggest you to install Git version of pcmanfm (it is 'pcmanfm-git' in AUR) and check if your issue is fixed, and I hope it is.

     
    • assigned_to: nobody --> lstranger
    • milestone: 3172103 --> 2334032
     
  • Camden Lindsay
    Camden Lindsay
    2013-12-01

    I am very confused;

    I cannot seem to install the pcmanfm-git with just the libfm-git. It seems to require the libfm-gtk-git.
    WIth libfm-gtk-git and pcmanfm-git, i still have the same problem.

    Which libfm should I be installing with the pcmanfm-git from aur?
    Thanks!

     
  • Yes, it is correct - libfm-gtk-git is used for pcmanfm-git, it is Arch-specific naming scheme.

    That is weird... nobody else has such problem, I suspect it is some another GTK problem unknown for me and I have no idea how I can help. :(

     
  • Did it installed successfully? What versions the About dialog shows you? It should show 1.1.99.3 for pcmanfm and 1.2.0-beta2 for libfm (yes, it should show two numbers).

     
  • Camden Lindsay
    Camden Lindsay
    2013-12-03

    I have

    PCManFM 1.1.99.3
    Lightweight file manager
    using LibFM ver. 1.2.0-beta2

    so it looks like it installed successfully.

     
  • Well, I would like you to install debug info with glib2 as I asked you earlier to be able to see more detailed info where it cycles and also see output of 'info threads' in gdb when the issue happens. Would be good if you enter 'continue' (or just 'c') in gdb then <Ctrl>+<C> to interrupt it and check 'bt full' again if it shows the same.
    What are the versions of your glib2 and gtk2 packages?
    Thank you very much.

     
  • It would be good if you could investigate if gvfs that you've installed really mounts your SD (it uses udisks2), not udisks. I suspect it's problem of udisks since debian also got a bugreport for udisks 100% CPU load.

     
  • Camden Lindsay
    Camden Lindsay
    2013-12-05

    When running and ejecting disk in foreground, this is printed to stderr
    [dylan@zenbook ~]$ pcmanfm --desktop

    (pcmanfm:9719): GLib-CRITICAL **: g_source_attach: assertion 'source->context == NULL' failed

    For the information you requested:
    glib2 and gtk2 package versions:
    [dylan@zenbook glib2]$ pacman -Qip glib2-2.38.2-1-x86_64.pkg.tar.xz
    Name : glib2
    Version : 2.38.2-1
    Description : Common C routines used by GTK+ and other libs
    Architecture : x86_64
    URL : http://www.gtk.org/
    Licenses : LGPL
    Groups : None
    Provides : None
    Depends On : pcre libffi
    Optional Deps : python2: for gdbus-codegen and gtester-report
    elfutils: gresource inspection tool
    Conflicts With : None
    Replaces : None
    Compressed Size: 2027.54 KiB
    Installed Size : 12992.00 KiB
    Packager : Unknown Packager
    Build Date : Fri Nov 22 19:40:52 2013
    Install Script : No
    Validated By : None
    Signatures : None

    [dylan@zenbook glib2]$

    [dylan@zenbook gtk2]$ pacman -Qip gtk2-2.24.22-1-x86_64.pkg.tar.xz
    Name : gtk2
    Version : 2.24.22-1
    Description : GTK+ is a multi-platform toolkit (v2)
    Architecture : x86_64
    URL : http://www.gtk.org/
    Licenses : LGPL
    Groups : None
    Provides : None
    Depends On : atk pango libxcursor libxinerama libxrandr libxi libxcomposite libxdamage shared-mime-info cairo libcups
    gtk-update-icon-cache
    Optional Deps : gnome-themes-standard: Default widget theme
    gnome-icon-theme: Default icon theme
    Conflicts With : None
    Replaces : gtk2-docs
    Compressed Size: 6885.45 KiB
    Installed Size : 56882.00 KiB
    Packager : Unknown Packager
    Build Date : Fri Nov 22 19:51:34 2013
    Install Script : Yes
    Validated By : None
    Signatures : None

    [dylan@zenbook gtk2]$

    eject disk, bt full output:
    (gdb) bt full
    #0 0x00007f38302b8d7b in recv () from /usr/lib/libpthread.so.0
    No symbol table info available.
    #1 0x00007f382fcec06f in ?? () from /usr/lib/libxcb.so.1
    No symbol table info available.
    #2 0x00007f382fcec568 in ?? () from /usr/lib/libxcb.so.1
    No symbol table info available.
    #3 0x00007f383270e828 in ?? () from /usr/lib/libX11.so.6
    No symbol table info available.
    #4 0x00007f383270e96e in ?? () from /usr/lib/libX11.so.6
    No symbol table info available.
    #5 0x00007f383270ec4d in _XEventsQueued () from /usr/lib/libX11.so.6
    No symbol table info available.
    #6 0x00007f3832700d8d in XPending () from /usr/lib/libX11.so.6
    No symbol table info available.
    #7 0x00007f3831bce086 in gdk_event_prepare () from /usr/lib/libgdk-x11-2.0.so.0
    No symbol table info available.
    #8 0x00007f383050fc2d in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    ---Type <return> to continue, or q <return> to quit---
    #9 0x00007f38305104a3 in g_main_context_iterate.isra.24 () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #10 0x00007f38305109ea in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #11 0x00007f38324a95f2 in ?? () from /usr/lib/libfm-gtk.so.4
    No symbol table info available.
    #12 0x00007f38324b02d6 in ?? () from /usr/lib/libfm-gtk.so.4
    No symbol table info available.
    #13 0x00007f3831f56d85 in _gtk_marshal_BOOLEAN__BOXED () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #14 0x00007f38307d86a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    #15 0x00007f38307e9dfb in signal_emit_unlocked_R () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    #16 0x00007f38307f1a19 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    #17 0x00007f38307f2002 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    ---Type <return> to continue, or q <return> to quit---
    #18 0x00007f3832066ab4 in gtk_widget_event_internal () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #19 0x00007f3831f55534 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #20 0x00007f3831f558eb in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #21 0x00007f3831bd0c3c in gdk_event_dispatch () from /usr/lib/libgdk-x11-2.0.so.0
    No symbol table info available.
    #22 0x00007f3830510296 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #23 0x00007f38305105e8 in g_main_context_iterate.isra.24 () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #24 0x00007f38305109ea in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #25 0x00007f3831f549d7 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #26 0x000000000040f2d0 in ?? ()
    No symbol table info available.
    ---Type <return> to continue, or q <return> to quit---
    #27 0x00007f382ff20bc5 in __libc_start_main () from /usr/lib/libc.so.6
    No symbol table info available.
    #28 0x000000000040f32d in ?? ()
    No symbol table info available.

    info threads
    (gdb) info threads
    Id Target Id Frame
    2 Thread 0x7f3828bc5700 (LWP 9757) "gmain" 0x00007f382ffdb9dd in poll () from /usr/lib/libc.so.6
    * 1 Thread 0x7f3832eed8c0 (LWP 9756) "pcmanfm" 0x00007f38302b8d7b in recv () from /usr/lib/libpthread.so.0

    Continue
    (gdb) continue
    Continuing.
    ^C
    Program received signal SIGINT, Interrupt.
    0x00007f38302b8d7b in recv () from /usr/lib/libpthread.so.0

    bt full after continue
    (gdb) bt full
    #0 0x00007f38302b8d7b in recv () from /usr/lib/libpthread.so.0
    No symbol table info available.
    #1 0x00007f382fcec06f in ?? () from /usr/lib/libxcb.so.1
    No symbol table info available.
    #2 0x00007f382fcec568 in ?? () from /usr/lib/libxcb.so.1
    No symbol table info available.
    #3 0x00007f383270e828 in ?? () from /usr/lib/libX11.so.6
    No symbol table info available.
    #4 0x00007f383270e96e in ?? () from /usr/lib/libX11.so.6
    No symbol table info available.
    #5 0x00007f383270ec4d in _XEventsQueued () from /usr/lib/libX11.so.6
    No symbol table info available.
    #6 0x00007f3832700d8d in XPending () from /usr/lib/libX11.so.6
    No symbol table info available.
    #7 0x00007f3831bce086 in gdk_event_prepare () from /usr/lib/libgdk-x11-2.0.so.0
    No symbol table info available.
    #8 0x00007f383050fc2d in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    ---Type <return> to continue, or q <return> to quit---
    #9 0x00007f38305104a3 in g_main_context_iterate.isra.24 () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #10 0x00007f38305109ea in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #11 0x00007f38324a95f2 in ?? () from /usr/lib/libfm-gtk.so.4
    No symbol table info available.
    #12 0x00007f38324b02d6 in ?? () from /usr/lib/libfm-gtk.so.4
    No symbol table info available.
    #13 0x00007f3831f56d85 in _gtk_marshal_BOOLEAN__BOXED () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #14 0x00007f38307d86a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    #15 0x00007f38307e9dfb in signal_emit_unlocked_R () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    #16 0x00007f38307f1a19 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    #17 0x00007f38307f2002 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
    No symbol table info available.
    ---Type <return> to continue, or q <return> to quit---
    #18 0x00007f3832066ab4 in gtk_widget_event_internal () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #19 0x00007f3831f55534 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #20 0x00007f3831f558eb in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #21 0x00007f3831bd0c3c in gdk_event_dispatch () from /usr/lib/libgdk-x11-2.0.so.0
    No symbol table info available.
    #22 0x00007f3830510296 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #23 0x00007f38305105e8 in g_main_context_iterate.isra.24 () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #24 0x00007f38305109ea in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #25 0x00007f3831f549d7 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
    No symbol table info available.
    #26 0x000000000040f2d0 in ?? ()
    No symbol table info available.
    ---Type <return> to continue, or q <return> to quit---
    #27 0x00007f382ff20bc5 in __libc_start_main () from /usr/lib/libc.so.6
    No symbol table info available.
    #28 0x000000000040f32d in ?? ()
    No symbol table info available.
    (gdb)

    info threads after continue
    (gdb) info threads
    Id Target Id Frame
    2 Thread 0x7f3828bc5700 (LWP 9757) "gmain" 0x00007f382ffdb9dd in poll () from /usr/lib/libc.so.6
    * 1 Thread 0x7f3832eed8c0 (LWP 9756) "pcmanfm" 0x00007f38302b8d7b in recv () from /usr/lib/libpthread.so.0

     
  • Camden Lindsay
    Camden Lindsay
    2013-12-05

    Looks like it is udisks, i think? not sure how to know for sure...

    Dec 05 11:40:15 zenbook kernel: sd 6:0:0:0: [sdc] 4099072 512-byte logical blocks: (2.09 GB/1.95 GiB)
    Dec 05 11:40:15 zenbook kernel: sd 6:0:0:0: [sdc] Cache data unavailable
    Dec 05 11:40:15 zenbook kernel: sd 6:0:0:0: [sdc] Assuming drive cache: write through
    Dec 05 11:40:15 zenbook kernel: sd 6:0:0:0: [sdc] Cache data unavailable
    Dec 05 11:40:15 zenbook kernel: sd 6:0:0:0: [sdc] Assuming drive cache: write through
    Dec 05 11:40:15 zenbook kernel: sdc: sdc1
    Dec 05 11:40:15 zenbook udisks-daemon[986]: **** CHANGING /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/target6:0:0/...lock/sdc
    Dec 05 11:40:15 zenbook udisks-daemon[986]: **** UPDATING /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/target6:0:0/...lock/sdc
    Dec 05 11:40:16 zenbook udisks-daemon[986]: **** EMITTING CHANGED for /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/...lock/sdc
    Dec 05 11:40:16 zenbook udisks-daemon[986]: **** CHANGED /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/target6:0:0/6...lock/sdc
    Dec 05 11:40:16 zenbook udisks-daemon[986]: **** CHANGING /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/target6:0:0/...lock/sdc
    Dec 05 11:40:16 zenbook udisks-daemon[986]: **** UPDATING /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/target6:0:0/...lock/sdc
    Dec 05 11:40:17 zenbook udisks-daemon[986]: **** EMITTING CHANGED for /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/...lock/sdc
    Dec 05 11:40:17 zenbook udisks-daemon[986]: **** CHANGED /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/target6:0:0/6...lock/sdc
    Dec 05 11:40:17 zenbook udisks-daemon[986]: **** ADDING /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/target6:0:0/6:...sdc/sdc1
    Dec 05 11:40:17 zenbook udisks-daemon[986]: **** UPDATING /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/target6:0:0/...sdc/sdc1
    Dec 05 11:40:17 zenbook udisks-daemon[986]: **** ADDED /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/target6:0:0/6:0...sdc/sdc1
    Dec 05 11:40:17 zenbook udisks-daemon[986]: **** EMITTING ADDED for /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/ta...sdc/sdc1
    Dec 05 11:40:17 zenbook slim[994]: attempting to mount device /org/freedesktop/UDisks/devices/sdc1 (vfat:[])
    Dec 05 11:40:17 zenbook udisks-daemon[986]: **** USING MOUNT OPTIONS 'uhelper=udisks,nodev,nosuid,uid=1000,gid=1000,shortname=mixed,dmask=...dev/sdc1
    Dec 05 11:40:17 zenbook udisks-daemon[986]: **** EMITTING JOB-CHANGED for /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/ho...sdc/sdc1
    Dec 05 11:40:17 zenbook udisks-daemon[986]: helper(pid 10371): launched job mount on /dev/sdc1
    Dec 05 11:40:18 zenbook udisks-daemon[986]: **** /proc/self/mountinfo changed
    Dec 05 11:40:18 zenbook udisks-daemon[986]: **** MOUNTED /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/target6:0:0/6...sdc/sdc1
    Dec 05 11:40:18 zenbook udisks-daemon[986]: **** CHANGING /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/target6:0:0/...sdc/sdc1
    Dec 05 11:40:18 zenbook udisks-daemon[986]: **** UPDATING /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/target6:0:0/...sdc/sdc1
    Dec 05 11:40:18 zenbook udisks-daemon[986]: **** CHANGED /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/target6:0:0/6...sdc/sdc1
    Dec 05 11:40:18 zenbook udisks-daemon[986]: helper(pid 10371): completed with exit code 0
    Dec 05 11:40:18 zenbook udisks-daemon[986]: **** UPDATING /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/target6:0:0/...sdc/sdc1
    Dec 05 11:40:18 zenbook udisks-daemon[986]: **** EMITTING CHANGED for /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/host6/...sdc/sdc1
    Dec 05 11:40:18 zenbook udisks-daemon[986]: **** EMITTING JOB-CHANGED for /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/ho...sdc/sdc1
    Dec 05 11:40:18 zenbook slim[994]: mounted device /org/freedesktop/UDisks/devices/sdc1
    Dec 05 11:40:20 zenbook NetworkManager[981]: <info> (wlan0): IP6 addrconf timed out or failed.
    Dec 05 11:40:20 zenbook NetworkManager[981]: <info> Activation (wlan0) Stage 4 of 5 (IPv6 Configure Timeout) scheduled...
    Dec 05 11:40:20 zenbook NetworkManager[981]: <info> Activation (wlan0) Stage 4 of 5 (IPv6 Configure Timeout) started...
    Dec 05 11:40:20 zenbook NetworkManager[981]: <info> Activation (wlan0) Stage 4 of 5 (IPv6 Configure Timeout) complete.
    Dec 05 11:40:42 zenbook udisks-daemon[986]: **** Refreshing ATA SMART data for /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0...lock/sda
    Dec 05 11:40:42 zenbook udisks-daemon[986]: helper(pid 10372): launched job udisks-helper-ata-smart-collect on /dev/sda
    Dec 05 11:40:42 zenbook udisks-daemon[986]: **** Refreshing ATA SMART data for /sys/devices/pci0000:00/0000:00:1f.2/ata2/host1/target1:0:0...lock/sdb
    Dec 05 11:40:42 zenbook udisks-daemon[986]: helper(pid 10373): launched job udisks-helper-ata-smart-collect on /dev/sdb
    Dec 05 11:40:43 zenbook udisks-daemon[986]: helper(pid 10373): completed with exit code 0
    Dec 05 11:40:43 zenbook udisks-daemon[986]: **** EMITTING CHANGED for /sys/devices/pci0000:00/0000:00:1f.2/ata2/host1/target1:0:0/1:0:0:0/block/sdb
    Dec 05 11:40:43 zenbook udisks-daemon[986]: helper(pid 10372): completed with exit code 0
    Dec 05 11:40:43 zenbook udisks-daemon[986]: **** EMITTING CHANGED for /sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda

     
  • Camden Lindsay
    Camden Lindsay
    2013-12-05

    To note; the disk does umount properly before the system hangs.

     
  • First. Backtrace lines with "No symbol table info available" are useless. I've asked you few times to install debug info for the glib.

    Second. Find which thread consumes CPU (top or whatever can display threads, not only process summary) and do backtrace only on it, please. If need to switch to thread 2 then enter 'thread 2' in gdb.

    Thank you very much.

     
  • Camden Lindsay
    Camden Lindsay
    2013-12-05

    Interesting - i have installed the debug info for glib as far as I know. (built and installed a separate package called glib-debug) Perhaps I am doing it wrong?

    I will find how to display threads in top and switch to thread that has high cpu utilization. I then provide bt full on that thread, correct?

    I will check again tomorrow and provide output. Sorry for any confusion.

     
1 2 > >> (Page 1 of 2)